- name: updated cache
  ansible.builtin.apt:
    update_cache: yes

- name: create deploy user with docker group
  user:
    name: deploy
    comment: User for Deployment
    group: docker

- name: set ssh key
  authorized_key:
    user: deploy
    state: present
    key: "{{ user_public_key }}"